<?php

declare(strict_types=1);

namespace App\Framework\Http;

use Attribute;

#[Attribute(Attribute::TARGET_CLASS)]
class MiddlewarePriorityAttribute
{
    public function __construct(
        public MiddlewarePriority $priority,
        public int $offset = 0
    ) {
    }
}
